=== debian/watch ===
version=3
https://github.com/lalinsky/chromaprint/downloads .*/chromaprint-(.*)\.tar\.gz
