=== debian/changelog ===
chromaprint (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * add build-depends on python-support (Closes: #642448)

 -- Mike O'Connor <stew@debian.org>  Tue, 01 Nov 2011 21:28:01 -0400

chromaprint (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Wed, 15 Jun 2011 20:03:33 -0400
