=== debian/changelog ===
chromaprint (0.5-1) unstable; urgency=low

  * New upstream version.  closes: #651127.
  * Set maintainer to Debian QA Group.

 -- Clint Adams <clint@debian.org>  Sat, 10 Dec 2011 18:02:48 -0500
