=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CONFIGURE_FLAGS = -DCMAKE_BUILD_TYPE=Release

# FIXME the tests currently can't run with a out-of-source build
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#CONFIGURE_FLAGS += -DBUILD_TESTS=ON
#endif

%:
	dh $@ 

override_dh_auto_configure:
	@dh_auto_configure -- $(CONFIGURE_FLAGS)
	@dh_auto_configure --sourcedirectory=python

override_dh_auto_build:
	@dh_auto_build
	@dh_auto_build --sourcedirectory=python

override_dh_auto_install:
	@dh_auto_install
	@dh_auto_install --sourcedirectory=python

override_dh_auto_clean:
	@dh_auto_clean
	@dh_auto_clean --sourcedirectory=python
