=== debian/watch ===
version=3
https://github.com/lalinsky/chromaprint/downloads .*/chromaprint-([0-9].*)\.tar\.gz
