=== debian/changelog ===
chromaprint (0.6-1) unstable; urgency=low

  * New upstream release
    - The Python bindings have been moved to the pyacoustid package,
      available in Debian as python-acoustid. The binary package
      python-chromaprint is therefore not built anymore.
  * Set Maintainer to Simon Chopin (Closes: #651823)
  * Change Vcs-* fields to point to the collab-maint Alioth repository.
  * Create new binary package libchromaprint-tools shipping the fpcalc binary
    (Closes: #649292)
  * Set Priority: optional because pyacoustid (rdep) is optional.
  * Add symbols file.
  * Fix package -dev description mixup
  * Enable multiarch support:
    - Add Multi-arch: same field for libchromaprint0.
    - Add the relevant Pre-depends field.
    - Pass the LIB_SUFFIX flag to cmake pointing to the multiarch directories.
  * Change debian/copyright format to DEP5.
  * Specify the copyright information for the ffmpeg headers in examples/.
  * Disable DH_VERBOSE debug output 
  * Add lintian override for the use of libchromaprint-private in
    libchromaprint0.symbols in order to prevent linking against the C++ STL
    symbols.

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 10 Jan 2012 15:34:55 +0100
