=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	test_filter.cpp
 	test_silence_remover.cpp
 	test_base64.cpp
+	test_moving_average.cpp
 )
 
 add_executable(all_tests ${tests_SOURCES})
