=== debian/changelog ===
chromaprint (0.7-2) unstable; urgency=low

  * Upload to unstable

  [ Simon Chopin ]
  * Change the Vcs-* URLs to point to the pkg-multimedia repo
  * Update the watchfile to use bitbucket instead of github.
  * Use the branch master for Debian packaging in gbp.conf

  [ Sebastian Ramacher ]
  * debian/gbp.conf: Add pristine-tar = True.
  * debian/control:
    - Use canonical VCS-* URLs.
    - Bump Standards-Version (no changes required).

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 30 Aug 2013 19:50:17 +0200

chromaprint (0.7-1) experimental; urgency=low

  [ Simon Chopin ]
  * New upstream release
  * Add fix-libav9-ftbfs patch for libav9 compatibility. (Closes: #692912)
    Thanks to Reinhard Tartler.

  [ Reinhard Tartler ]
  * normalize fields with 'wrap-and-sort -as'
  * update Maintainers field, add myself to uploaders
  * make git-buildpackage work in branch 'exerimental'

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Feb 2013 07:08:44 +0100

chromaprint (0.6-2) unstable; urgency=low

  * debian/control: Fix Suggests: field from libchromaprint-bin to
    libchromaprint-tools (Closes: #668624)
  * Bump Standard-Version to 3.9.3
    + Change the Format: URL in debian/copyright.
  * Update copyright year.
  * debian/rules:
    + enable command echoing for the configuration step
  * Bump the version of debhelper in B-D to  >= 9 since the package is using
    compat 9 and remove the lintian override accordingly.
  * debian/copyright: Fix typo in the copyright years for the upstream part
    (thanks to Bart Martens).

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 19 May 2012 16:08:47 +0200
