=== debian/control ===
Source: chromaprint
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>, Reinhard Tartler <siretart@tauware.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libavcodec-dev,
 libavformat-dev,
 libfftw3-dev,
 libgtest-dev,
 python-docutils (>= 0.6)
Standards-Version: 3.9.4
Section: libs
Homepage: http://wiki.acoustid.org/wiki/Chromaprint
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/chromaprint.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/chromaprint.git;a=summary

Package: libchromaprint-dev
Section: libdevel
Architecture: any
Depends:
 libchromaprint0 (= ${binary:Version}),
 ${misc:Depends}
Description: audio fingerprinting library - development files
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks
 .
 This package includes development files needed to compile programs
 using libchromaprint.

Package: libchromaprint0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libchromaprint-tools,
 python-acoustid
Description: audio fingerprint library
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks

Package: libchromaprint-tools
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio fingerprinting library - tools
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks
 .
 This package provides the fpcalc utility.
