=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,6 @@
 	${FFMPEG_LIBAVCODEC_LIBRARIES}
 	${FFMPEG_LIBAVUTIL_LIBRARIES}
 	${EXTRA_LIBS})
-check_function_exists(av_audio_convert HAVE_AV_AUDIO_CONVERT)
-
-if(HAVE_AV_AUDIO_CONVERT)
-	add_definitions(-DHAVE_AV_AUDIO_CONVERT)
-endif()
 
 include_directories(
 	${CMAKE_CURRENT_SOURCE_DIR}/../src
@@ -26,13 +21,24 @@
 
 add_executable(fpcalc fpcalc.c)
 
-
 target_link_libraries(fpcalc chromaprint
 	${FFMPEG_LIBAVFORMAT_LIBRARIES}
 	${FFMPEG_LIBAVCODEC_LIBRARIES}
 	${FFMPEG_LIBAVUTIL_LIBRARIES}
 	${EXTRA_LIBS})
 
+if(FFMPEG_LIBSWRESAMPLE_FOUND)
+	add_definitions(-DHAVE_SWRESAMPLE)
+	include_directories(${FFMPEG_LIBSWRESAMPLE_INCLUDE_DIRS})
+	target_link_libraries(fpcalc ${FFMPEG_LIBSWRESAMPLE_LIBRARIES})
+elseif(FFMPEG_LIBAVRESAMPLE_FOUND)
+	add_definitions(-DHAVE_AVRESAMPLE)
+	include_directories(${FFMPEG_LIBAVRESAMPLE_INCLUDE_DIRS})
+	target_link_libraries(fpcalc ${FFMPEG_LIBAVRESAMPLE_LIBRARIES})
+else()
+	message(STATUS "Building without audio conversion support, please install FFmpeg with libswresample")
+endif()
+
 install(TARGETS fpcalc
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 )
