=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
+
+if(CMAKE_COMPILER_IS_GNUCXX AND BUILD_SHARED_LIBS)
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+endif()
 
 set(chromaprint_SRCS
 	chromaprint.cpp
@@ -48,6 +53,8 @@
 endif()
 
 add_library(chromaprint_p STATIC ${chromaprint_SRCS})
+set_target_properties(chromaprint_p PROPERTIES
+	COMPILE_DEFINITIONS CHROMAPRINT_NODLL)
 target_link_libraries(chromaprint_p ${chromaprint_LINK_LIBS})
 
 set(chromaprint_HDRS chromaprint.h)
