=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 include_directories(
 	${GTEST_INCLUDE_DIRS}
+	${Boost_INCLUDE_DIRS}
 	${CMAKE_CURRENT_SOURCE_DIR}/../src
 )
+add_subdirectory(${GTEST_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/gtest_build)
 
 set(tests_SOURCES
 	main.cpp
@@ -29,6 +31,8 @@
 )
 
 add_executable(all_tests ${tests_SOURCES})
+set_target_properties(all_tests PROPERTIES
+	COMPILE_DEFINITIONS CHROMAPRINT_NODLL)
 target_link_libraries(all_tests
 	${GTEST_BOTH_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
@@ -36,7 +40,9 @@
 )
 
 add_custom_target(check
-	./all_tests $ENV{GTEST_FLAGS}
-	DEPENDS all_tests
-)
+	${CMAKE_CURRENT_BINARY_DIR}/all_tests
+	$ENV{GTEST_FLAGS} DEPENDS all_tests)
 
+enable_testing(true)
+add_test(ChromaprintTests all_tests)
+
