=== debian/changelog ===
chromaprint (1.1-1) unstable; urgency=low

  * New upstream release

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 02 Dec 2013 00:50:08 +0100
