=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  debhelper (>= 9),
  libavcodec-dev,
  libavformat-dev,
+ libavresample-dev,
  libfftw3-dev,
  libgtest-dev,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://wiki.acoustid.org/wiki/Chromaprint
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/chromaprint.git
