=== debian/watch ===
version=3
https://bitbucket.org/acoustid/chromaprint/downloads/chromaprint-([0-9].*)\.tar\.gz
