## chromaprint 1.2

=== debian/changelog ===
chromaprint (1.2-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:00:11 +0200

chromaprint (1.2-1) unstable; urgency=medium

  * New upstream release

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 28 Sep 2014 20:27:39 +0200
