=== debian/changelog ===
chromaprint (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed, included upstream.
  * debian/control: Bump Standards-Version.
  * debian/libchromaprint0.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Feb 2016 21:58:50 +0100

chromaprint (1.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Update Homepage.
    - Update and Vcs-*.
    - Bump Standards Version.
  * debian/patches/remove-deprecated-lavc-APIs.patch: Apply upstream patch to
    fix FTBFS with ffmpeg 2.9/3.0 (Closes: #803805)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jan 2016 21:46:05 +0100
