=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  libfftw3-dev,
  libgtest-dev,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: libs
-Homepage: http://wiki.acoustid.org/wiki/Chromaprint
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/chromaprint.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/chromaprint.git;a=summary
+Homepage: https://acoustid.org/chromaprint
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/chromaprint.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/chromaprint.git
 
 Package: libchromaprint-dev
 Section: libdevel
