=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 CONFIGURE_FLAGS = -DCMAKE_BUILD_TYPE=Release \
 				  -DBUILD_EXAMPLES=True \
-				  -DHAVE_AV_AUDIO_CONVERT=True \
 				  -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 
 # FIXME the tests currently can't run with a out-of-source build
@@ -27,3 +26,6 @@
 override_dh_clean:
 	dh_clean
 	rm -f debian/fpcalc.1
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.txt
