=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	fingerprinter.cpp
 	image_builder.cpp
 	lloyds.cpp
+	simhash.h
+	simhash.cpp
 	silence_remover.cpp
 	fingerprint_calculator.cpp
 	fingerprint_compressor.cpp
@@ -52,6 +54,11 @@
 	set(chromaprint_LINK_LIBS ${ACCELERATE_LIBRARIES})
 endif()
 
+if(WITH_KISSFFT)
+	set(chromaprint_SRCS fft_lib_kissfft.cpp ${chromaprint_SRCS} ${KISSFFT_SOURCES})
+	include_directories(${KISSFFT_INCLUDE_DIRS})
+endif()
+
 add_library(chromaprint_p STATIC ${chromaprint_SRCS})
 set_target_properties(chromaprint_p PROPERTIES
 	COMPILE_DEFINITIONS CHROMAPRINT_NODLL)
