=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	test_audio_processor.cpp
 	test_bit_string_reader.cpp
 	test_bit_string_writer.cpp
+	test_simhash.cpp
 	test_chromaprint.cpp
 	test_chroma.cpp
 	test_chroma_filter.cpp
