=== debian/changelog ===
chromaprint (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Sep 2016 10:01:00 +0200

chromaprint (1.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * SONAME bump: libchromaprint0 -> libchromaprint1
  * debian/rules: Enable parallel build.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Aug 2016 13:42:25 +0200
