=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfftw3-dev,
  libgtest-dev,
  python-docutils (>= 0.6)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://acoustid.org/chromaprint
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/chromaprint.git
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libchromaprint0 (= ${binary:Version}),
+ libchromaprint1 (= ${binary:Version}),
  ${misc:Depends}
 Description: audio fingerprinting library - development files
  Chromaprint is a library for calculating audio fingerprints
@@ -31,16 +31,13 @@
  This package includes development files needed to compile programs
  using libchromaprint.
 
-Package: libchromaprint0
+Package: libchromaprint1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Suggests:
- libchromaprint-tools,
- python-acoustid
 Description: audio fingerprint library
  Chromaprint is a library for calculating audio fingerprints
  which are used by the Acoustid service. Its main purpose is to provide an
