=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #endif
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
@@ -23,9 +23,5 @@
 	rst2man debian/fpcalc.rst > debian/fpcalc.1
 	dh_installman
 
-override_dh_clean:
-	dh_clean
-	rm -f debian/fpcalc.1
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt
